<?php
session_start();
require("../../database/dbConection.php");
require("../include/funcoes_gsaudereg.php");
$usuarioLogado = $_SESSION['idUsuarioLogado'];

$arquivoParaImportacao  = $_FILES['arquivoParaImportacao'];

// Pegar características do arquivo anexado
$tipoArquivo  = $arquivoParaImportacao["type"];
$arquivoTemp  = $arquivoParaImportacao["tmp_name"];
$arquivoImportado = "atualizardemanda/".removerAcentos($arquivoParaImportacao["name"]);
$htmlRetorno = "";
if($tipoArquivo!="text/plain"){
  echo "erro#Tipo de arquivo inválido. Você deve carregar o arquivo de agendamentos em formato TXT.";
  exit;
}
  
  if(move_uploaded_file($arquivoTemp,$arquivoImportado)){
    
    $lerArquivo       = fopen ($arquivoImportado, 'r');
    $contadorLinhas   = 0;
    $resultadoRetorno = "";
    
    while (($linhaArquivo = fgets($lerArquivo)) !== false) {
      $contadorLinhas = $contadorLinhas+1;
      $fieldRegistro  = explode(';',$linhaArquivo); 
      
      if($contadorLinhas>1){
        $codigoSISREG = $fieldRegistro[1];
        $formataDataAgendamento   = explode(".",$fieldRegistro[29]);
        $dataAgendamento          = $formataDataAgendamento[2].'-'.$formataDataAgendamento[1].'-'.$formataDataAgendamento[0];
        $cnsPaciente              = $fieldRegistro[9];        
        $sqlAtualizaAgendamentos  = "UPDATE cdr_tb_demandareprimida INNER JOIN tb_paciente ON cdr_tb_demandareprimida.id_paciente=tb_paciente.id_paciente ";
        $sqlAtualizaAgendamentos .= "SET cdr_tb_demandareprimida.status_agendamento='A', cdr_tb_demandareprimida.data_agendamento='$dataAgendamento' ";
        $sqlAtualizaAgendamentos .= "WHERE (tb_paciente.cns_paciente='$cnsPaciente' AND cdr_tb_demandareprimida.codigo_sus='$codigoSISREG' AND cdr_tb_demandareprimida.data_demanda<='$dataAgendamento')";
        $stmAtualizaAgendamentos = $rsConexao->prepare("$sqlAtualizaAgendamentos");
        $stmAtualizaAgendamentos -> execute();

        if($codigoSISREG=="0072031" || $codigoSISREG=="0710492" || $codigoSISREG=="0108032"){
          $sqlAtualizaECO  = "UPDATE cdr_tb_demandareprimida INNER JOIN tb_paciente ON cdr_tb_demandareprimida.id_paciente=tb_paciente.id_paciente ";
          $sqlAtualizaECO .= "SET cdr_tb_demandareprimida.status_agendamento='A', cdr_tb_demandareprimida.data_agendamento='$dataAgendamento' ";
          $sqlAtualizaECO .= "WHERE (tb_paciente.cns_paciente='$cnsPaciente' AND (cdr_tb_demandareprimida.codigo_sus='0108032' OR cdr_tb_demandareprimida.codigo_sus='0072031' OR cdr_tb_demandareprimida.codigo_sus='0710492') AND cdr_tb_demandareprimida.data_demanda<='$dataAgendamento')";
          $stmAtualizaECO = $rsConexao->prepare("$sqlAtualizaECO");
          $stmAtualizaECO -> execute();          
        }

        if($codigoSISREG=="0320002" || $codigoSISREG=="1300012"){
          $sqlAtualizaECO  = "UPDATE cdr_tb_demandareprimida INNER JOIN tb_paciente ON cdr_tb_demandareprimida.id_paciente=tb_paciente.id_paciente ";
          $sqlAtualizaECO .= "SET cdr_tb_demandareprimida.status_agendamento='A', cdr_tb_demandareprimida.data_agendamento='$dataAgendamento' ";
          $sqlAtualizaECO .= "WHERE (tb_paciente.cns_paciente='$cnsPaciente' AND (cdr_tb_demandareprimida.codigo_sus='0320002' OR cdr_tb_demandareprimida.codigo_sus='1300012') AND cdr_tb_demandareprimida.data_demanda<='$dataAgendamento')";
          $stmAtualizaECO = $rsConexao->prepare("$sqlAtualizaECO");
          $stmAtualizaECO -> execute();          
        }

      }
    }
  }else{
    echo "erro#$sqlAtualizaAgendamentos";  
  }
  
  echo "sucesso#Arquivos processado com sucesso!";

  unlink($arquivoImportado);

?>